import { defineConfig } from 'astro/config';
import sitemap from '@astrojs/sitemap';
import node from '@astrojs/node';
import db from '@astrojs/db';
import tailwindcss from '@tailwindcss/vite';

export default defineConfig({
  site: 'https://www.moreminimore.com',
  output: 'server',
  adapter: node({
    mode: 'standalone',
  }),
  integrations: [
    sitemap(),
    db(),
  ],
  vite: {
    plugins: [tailwindcss()],
  },
});
